package com.bootdo.data.domain;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 数据备案表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 14:23:15
 */
public class DataApplyDO implements Serializable {
	private static final long serialVersionUID = 1L;

	//
	private Long id;
	//数据处理者名称ID
	private Long unitId;
	//重要数据ID
	private Long dataId;
	//状态 0:正常 1:删除
	private String status;
	//申请者
	private String uploadUser;
	//申请者ID
	private String uploadUserid;
	//联系人
	private String liaiseMan;
	//联系方式
	private String liaiseWay;
	//创建时间
	private Date createTime;
	//修改时间
	private Date updateTime;

	private List<Long> dataIds;

	private List<Long> dataIdInfos;

	//合计
	private String total;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：数据处理者名称ID
	 */
	public void setUnitId(Long unitId) {
		this.unitId = unitId;
	}
	/**
	 * 获取：数据处理者名称ID
	 */
	public Long getUnitId() {
		return unitId;
	}
	/**
	 * 设置：重要数据ID
	 */
	public void setDataId(Long dataId) {
		this.dataId = dataId;
	}
	/**
	 * 获取：重要数据ID
	 */
	public Long getDataId() {
		return dataId;
	}
	/**
	 * 设置：状态 0:正常 1:删除
	 */
	public void setStatus(String status) {
		this.status = status;
	}
	/**
	 * 获取：状态 0:正常 1:删除
	 */
	public String getStatus() {
		return status;
	}
	/**
	 * 设置：申请者
	 */
	public void setUploadUser(String uploadUser) {
		this.uploadUser = uploadUser;
	}
	/**
	 * 获取：申请者
	 */
	public String getUploadUser() {
		return uploadUser;
	}
	/**
	 * 设置：申请者ID
	 */
	public void setUploadUserid(String uploadUserid) {
		this.uploadUserid = uploadUserid;
	}
	/**
	 * 获取：申请者ID
	 */
	public String getUploadUserid() {
		return uploadUserid;
	}
	/**
	 * 设置：联系人
	 */
	public void setLiaiseMan(String liaiseMan) {
		this.liaiseMan = liaiseMan;
	}
	/**
	 * 获取：联系人
	 */
	public String getLiaiseMan() {
		return liaiseMan;
	}
	/**
	 * 设置：联系方式
	 */
	public void setLiaiseWay(String liaiseWay) {
		this.liaiseWay = liaiseWay;
	}
	/**
	 * 获取：联系方式
	 */
	public String getLiaiseWay() {
		return liaiseWay;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：修改时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：修改时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}

	public List<Long> getDataIds() {
		return dataIds;
	}

	public void setDataIds(List<Long> dataIds) {
		this.dataIds = dataIds;
	}

	public String getTotal() {
		return total;
	}

	public void setTotal(String total) {
		this.total = total;
	}

	public List<Long> getDataIdInfos() {
		return dataIdInfos;
	}

	public void setDataIdInfos(List<Long> dataIdInfos) {
		this.dataIdInfos = dataIdInfos;
	}

	@Override
	public String toString() {
		return "DataApplyDO{" + "id=" + id + ", unitId=" + unitId + ", dataId=" + dataId + ", status='" + status + '\'' + ", uploadUser='" + uploadUser + '\'' + ", uploadUserid='" + uploadUserid + '\'' + ", liaiseMan='" + liaiseMan + '\'' + ", liaiseWay='" + liaiseWay + '\'' + ", createTime=" + createTime + ", updateTime=" + updateTime + ", dataIds=" + dataIds + ", total='" + total + '\'' + '}';
	}
}
